<!DOCTYPE html>
{% extends "base.html" %}
{% load static %}
{% block content %}
<html lang="en"> 
<head>
 <meta charset="UTF-8">
 <meta name="viewport" content="width=device-width, initial-scale=1.0">
 <meta http-equiv="X-UA-Compatible" content="ie=edge">
 <title>Daftar Obat</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
    <link rel="stylesheet" href="//code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
    <script src="https://code.jquery.com/jquery-1.12.4.js"></script>
    <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>

</head>
<body>
    <h1>Daftar  Obat</h1>
    {% if request.session.role == 'admin' %}
    <table class="table table-active table-hover">
        <tr>
            <th>Kode</th>
            <th>Stok</th>
            <th>Harga</th>
            <th>Komposisi</th>
            <th>Bentuk Sediaan</th>
            <th>Merk Dagang</th>
            <th>Action[admin]</th>
        </tr>

        {% for columnObat in aso %}
        <tr> 
            <td>{{ columnObat.0 }}</td>
            <td>{{ columnObat.1 }}</td>
            <td>{{ columnObat.2 }}</td>
            <td>{{ columnObat.3 }}</td>
            <td>{{ columnObat.4 }}</td>
            <td>{{ columnObat.5 }}</td>
            <td>
                <div class="d-flex flex-row">
                <form action="{% url 'create_obat:update' %}" method="POST" class="update">
                    {% csrf_token %}
                    <input type="hidden" name="kodeobt" value="{{ columnObat.0 }}">
                    <input type="hidden" name="edit" value="true" hidden>
                    <button type="submit" class="btn btn-success">Update</button>
                </form>
                <form action="{% url 'create_obat:delete' %}" method="POST" class="delete">
                    {% csrf_token %}
                    <input type="hidden" name="kode" value="{{ columnObat.0 }}">
                    <input type="hidden" name="stok" value="{{ columnObat.1 }}">
                    <input type="hidden" name="harga" value="{{ columnObat.2 }}">
                    <input type="hidden" name="komposisi" value="{{ columnObat.3 }}">
                    <input type="hidden" name="bentuk_sediaan" value="{{ columnObat.4 }}">
                    <input type="hidden" name="merk_dagang" value="{{ columnObat.5 }}">
                    <button type="submit" class="btn btn-danger">Delete</button>
                </form>
                </div>
                <br>
            </td>
        </tr>
        {% endfor %}
    </table>
    {% else %}
    <table class="table table-active table-hover">
        <tr>
            <th>Kode</th>
            <th>Stok</th>
            <th>Harga</th>
            <th>Komposisi</th>
            <th>Bentuk Sediaan</th>
            <th>Merk Dagang</th>
        </tr>

        {% for columnObat in aso %}
        <tr> 
            <td>{{ columnObat.0 }}</td>
            <td>{{ columnObat.1 }}</td>
            <td>{{ columnObat.2 }}</td>
            <td>{{ columnObat.3 }}</td>
            <td>{{ columnObat.4 }}</td>
            <td>{{ columnObat.5 }}</td>
    
        </tr>
         {% endfor %}
    </table>
    {% endif %}
  </body>
</html>
{% endblock %}